Subject: [Sipping] [Fwd: Review: draft-ietf-sipping-toip-04.txt sections 1-4]

From: "Tom-PT Taylor" <[email-masked]>
Date: Sun, 02 Jul 2006 18:56:27 -0700

I've realized that my review notes never made it to the list. No wonder 
there have been rumblings about process! I do apologize. This is the 
first of several notes.

Tom Taylor wrote:
> General fixes proposed:
> =======================
> 
> 1. Your apostrophes (') all appear as non-ASCII characters. You need to 
> do a global substitution.
> 
> 2. Your headings all come out on two lines, with the number on the first 
> line followed by text on the second. Usually headings are presented on a 
> single line (e.g., <number> TAB <text>).
> 
> 3. I recommend NOT capitalizing terms for different services, as you 
> have a tendency to do. It just confuses the reader. Example: "Text 
> Bridging" rather than "text bridging". I call these out in my individual 
> remarks below.
> 
> Abstract
> ========
> 
> Repetitious -- you say twice that the document provides a framework. I 
> propose that you delete the first sentence, and start the second 
> sentence with "This document ...". If you want to capture the greater 
> detail in the discarded sentence, you can change "existing protocols and 
> techniques" in the new first sentence to "the Session Initiation 
> Protocol (SIP) and the Real-Time Transport Protocol (RTP)".
> 
> Section 1
> =========
> 
> Second para: add two sentences that should be moved here from section 5 
> (will also be noted in comments on that section):
> 
>   "Real-time text conversation can be combined with other conversational
>    services like video or voice. ToIP also offers an IP equivalent of
>    analog text telephony services as used by deaf, hard of hearing,
>    speech-impaired and mainstream users."
> 
> Third para, second sentence: has redundancy. Change "the user's 
> requirements, including those of ..." to "the requirements of ...". Add 
> "of" before "mainstream".
> 
> Section 2
> =========
> 
> Before the bullets: I suggest "provides:" rather than "defines the:".
> 
> In the bullets: start with small letters rather than capitals, since 
> they continue a sentence rather than starting a new one. In the first 
> one (trivial point) "requirements for" rather than "requirements of" to 
> be consistent with the second bullet. I also would not capitalize 
> "Real-time" in the first bullet.
> 
> Section 4
> =========
> 
> Definition of audio bridging is awkwardly phrased. How about:
> 
> "Audio bridging: a function of an audio media bridge server, gateway
>    or relay service that sends to each destination the combination of 
> audio from all participants in a conference excluding the participant(s) 
> at that destination. At the RTP level, this is an instance of the mixer 
> function as defined in RFC 3550 [4]."
> 
> Definition of half duplex: add "simultaneously" after "directions". 
> Change "errors can" to "errors may".
> 
> Definition of interactive text: same thing as real-time text, as far as 
> I can see, so why not point to the definition:
> 
>  "Interactive text: another term for real-time text, as defined below."
> 
> Definition of real-time text: I suggest you expand the citation of F.700 
> a bit, as follows: "is defined in the ITU-T Framework for
>    multimedia services, Recommendation F.700 [25]."
> 
> Definition of text relay service: small initial letters for "relay 
> service". Delete the comma after "people", since it has the effect of 
> including voice telephone users in the preceding list rather than making 
> them the other party of the "between".
> 
> Definition of text bridging: delete one copy, as noted by Gonzalo. I 
> suggest the other be rewritten to take advantage of the extended 
> definition already given for audio bridging, as follows:
> 
> "Text bridging: a function of the text media bridge server, gateway or
>    relay service analogous to that of audio bridging as defined above, 
> except that text is the medium of conversation."
> 
> Definition of total conversation: add "streams" after "media" in the 
> second sentence.
> 
> Definition of transcoding services: a bunch of small fixes and one 
> suggested additional sentence as indicated below:
> 
> "Transcoding service: a service provided by a third-party user agent
>              ^     ^  ^       ^^^^^^^^^^^^^
> that transcodes one stream into another. Transcoding can be done by 
> human operators, in an automated manner, or by a combination of both
>                                        ^    ^^
> methods. Within this document the term particularly applies to
>          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> conversion between different types of media. A text relay service is an
> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ ^ ^    ^     ^       ^^^^^
> example of a transcoding service which converts between real-time text
>        ^                         ^^^^^^^^^^^^^^
> and audio."
> 
> Definition of TTY: a suggested bit of additional information, and 
> applicability to Canada as well as the USA:
> 
>    TTY: originally, an abbreviation for "teletype". Often used in North
>         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^  ^^^^^^^^^^^^^^^^^^^
> America as an alternative designation for a text telephone or textphone.
> ^^^^^^^                                                                ^
>  Also called TDD, Telecommunication Device for the Deaf.
> 
> 
> Definition of video relay service: small initial letters for "relay 
> service". Delete comma after "people" to make the logic right.
> 
> 
> 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP